Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.provider.javax.crypto
Class JSSSecretKeyFactorySpi

    java.lang.Object
      |
      +--javax.crypto.SecretKeyFactorySpi
            |
            +--org.mozilla.jss.provider.javax.crypto.JSSSecretKeyFactorySpi

Direct Known Subclasses:
  JSSSecretKeyFactorySpi.AES, JSSSecretKeyFactorySpi.DES, JSSSecretKeyFactorySpi.DESede, JSSSecretKeyFactorySpi.HmacSHA1, JSSSecretKeyFactorySpi.PBAHmacSHA1, JSSSecretKeyFactorySpi.PBE_MD5_DES_CBC, JSSSecretKeyFactorySpi.PBE_SHA1_DES_CBC, JSSSecretKeyFactorySpi.PBE_SHA1_DES3_CBC, JSSSecretKeyFactorySpi.PBE_SHA1_RC4_128, JSSSecretKeyFactorySpi.RC4

class JSSSecretKeyFactorySpi
extends javax.crypto.SecretKeyFactorySpi

Nested Class Summary
`static class` | `JSSSecretKeyFactorySpi.AES`
`static class` | `JSSSecretKeyFactorySpi.DES`
`static class` | `JSSSecretKeyFactorySpi.DESede`
`static class` | `JSSSecretKeyFactorySpi.HmacSHA1` Deprecated. This class name is misleading. This algorithm is used for generating Password-Based Authentication keys for use with HmacSHA1. Use PBAHmacSHA1 instead.
`static class` | `JSSSecretKeyFactorySpi.PBAHmacSHA1`
`static class` | `JSSSecretKeyFactorySpi.PBE_MD5_DES_CBC`
`static class` | `JSSSecretKeyFactorySpi.PBE_SHA1_DES_CBC`
`static class` | `JSSSecretKeyFactorySpi.PBE_SHA1_DES3_CBC`
`static class` | `JSSSecretKeyFactorySpi.PBE_SHA1_RC4_128`
`static class` | `JSSSecretKeyFactorySpi.RC4`

Field Summary
`private KeyGenAlgorithm` | `alg`
`private CryptoToken` | `token`

Constructor Summary
`private` | `JSSSecretKeyFactorySpi()`
`protected` | `JSSSecretKeyFactorySpi(KeyGenAlgorithm alg)`

Method Summary
`javax.crypto.SecretKey` | `engineGenerateSecret(java.security.spec.KeySpec spec)`
`java.security.spec.KeySpec` | `engineGetKeySpec(javax.crypto.SecretKey key, java.lang.Class keySpec)`
`javax.crypto.SecretKey` | `engineTranslateKey(javax.crypto.SecretKey key)`
`private javax.crypto.SecretKey` | `generateKeyFromBits(byte[] bits, SymmetricKey.Type keyType)`
`static void` | `main(java.lang.String[] args)`
`private static PBEKeyGenParams` | `makePBEKeyGenParams(javax.crypto.spec.PBEKeySpec spec)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### alg

    private KeyGenAlgorithm alg

### token

    private CryptoToken token

Constructor Detail

### JSSSecretKeyFactorySpi

    private JSSSecretKeyFactorySpi()

### JSSSecretKeyFactorySpi

    protected JSSSecretKeyFactorySpi(KeyGenAlgorithm alg)

Method Detail

### generateKeyFromBits

    private javax.crypto.SecretKey generateKeyFromBits(byte[] bits,
                                                       SymmetricKey.Type keyType)
                                                throws java.security.NoSuchAlgorithmException,
                                                       TokenException,
                                                       java.security.spec.InvalidKeySpecException,
                                                       java.security.InvalidAlgorithmParameterException

    `java.security.NoSuchAlgorithmException`
    `TokenException`
    `java.security.spec.InvalidKeySpecException`
    `java.security.InvalidAlgorithmParameterException`

### makePBEKeyGenParams

    private static PBEKeyGenParams makePBEKeyGenParams(javax.crypto.spec.PBEKeySpec spec)
                                                throws java.security.spec.InvalidKeySpecException

    `java.security.spec.InvalidKeySpecException`

### engineGenerateSecret

    public javax.crypto.SecretKey engineGenerateSecret(java.security.spec.KeySpec spec)
                                                throws java.security.spec.InvalidKeySpecException

  Specified by:
    `engineGenerateSecret` in class `javax.crypto.SecretKeyFactorySpi`
    `java.security.spec.InvalidKeySpecException`

### engineGetKeySpec

    public java.security.spec.KeySpec engineGetKeySpec(javax.crypto.SecretKey key,
                                                       java.lang.Class keySpec)
                                                throws java.security.spec.InvalidKeySpecException

  Specified by:
    `engineGetKeySpec` in class `javax.crypto.SecretKeyFactorySpi`
    `java.security.spec.InvalidKeySpecException`

### engineTranslateKey

    public javax.crypto.SecretKey engineTranslateKey(javax.crypto.SecretKey key)
                                              throws java.security.InvalidKeyException

  Specified by:
    `engineTranslateKey` in class `javax.crypto.SecretKeyFactorySpi`
    `java.security.InvalidKeyException`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD